<form method="post" action="">
    <?php settings_fields('smart-audio-playlists-advanced'); ?>

    <div class="sct-cleanup-left">
        <div id="scs-scroll-sidebar">
            <p>
                <?php _e("This panel contains settings for modifying post types and taxonomies added by the plugin.", "smart-audio-playlists"); ?> 
                <strong><?php _e("Do not make any changes here if you don't know how they will affect the plugin behavior.", "smart-audio-playlists"); ?></strong>
            </p>
            <p class="sct-left-info" style="padding-top: 0; border-top: none">
                <?php _e("URL slugs can use only latin lower case letters, numbers and dashes. No spaces or other special characters are allowed, or the generated URL will be broken.", "smart-audio-playlists"); ?>
            </p>
            <input class="button-primary" type="submit" value="<?php _e("Save Settings", "smart-audio-playlists"); ?>" />
        </div>
    </div>
    <div class="sct-cleanup-right">
        <h3 style="margin-top: 0;"><?php _e("Post Type", "smart-audio-playlists"); ?>: <?php _e("Playlist", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Label Singular", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Label Singular", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[cpt_playlist_singular]" value="<?php echo esc_attr($settings['cpt_playlist_singular']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Label Plural", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Label Plural", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[cpt_playlist_plural]" value="<?php echo esc_attr($settings['cpt_playlist_plural']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("URL Single Slug", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("URL Single Slug", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[cpt_playlist_slug_single]" value="<?php echo esc_attr($settings['cpt_playlist_slug_single']); ?>" />

                            <br/><em>
                                <?php _e("This will be used to generate single playlist URL.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("URL Archive Slug", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("URL Archive Slug", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[cpt_playlist_slug_archive]" value="<?php echo esc_attr($settings['cpt_playlist_slug_archive']); ?>" />

                            <br/><em>
                                <?php _e("This will be used to generate playlists archives URL.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Use Taxonomies", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Use Taxonomies", "smart-audio-playlists"); ?></span></legend>
                            <label for="cpt_playlist_tax_artist">
                                <input<?php echo $settings['cpt_playlist_tax_artist'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="cpt_playlist_tax_artist" name="sap[cpt_playlist_tax_artist]">
                                <?php _e("Artists", "smart-audio-playlists"); ?></label><br/>
                            <label for="cpt_playlist_tax_genre">
                                <input<?php echo $settings['cpt_playlist_tax_genre'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="cpt_playlist_tax_genre" name="sap[cpt_playlist_tax_genre]">
                                <?php _e("Genres", "smart-audio-playlists"); ?></label><br/>
                            <label for="cpt_playlist_tax_tag">
                                <input<?php echo $settings['cpt_playlist_tax_tag'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="cpt_playlist_tax_tag" name="sap[cpt_playlist_tax_tag]">
                                <?php _e("Tags", "smart-audio-playlists"); ?> / <?php _e("Default Posts Tag taxonomy", "smart-audio-playlists"); ?></label><br/>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("Post Type", "smart-audio-playlists"); ?>: <?php _e("Track", "smart-audio-playlists"); ?> / <?php _e("Internal Use Only", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Label Singular", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Label Singular", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[cpt_track_singular]" value="<?php echo esc_attr($settings['cpt_track_singular']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Label Plural", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Label Plural", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[cpt_track_plural]" value="<?php echo esc_attr($settings['cpt_track_plural']); ?>" />
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("Taxonomy", "smart-audio-playlists"); ?>: <?php _e("Genre", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Label Singular", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Label Singular", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[tax_genre_singular]" value="<?php echo esc_attr($settings['tax_genre_singular']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Label Plural", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Label Plural", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[tax_genre_plural]" value="<?php echo esc_attr($settings['tax_genre_plural']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("URL Term Archive Slug", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("URL Term Archive Slug", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[tax_genre_slug_single]" value="<?php echo esc_attr($settings['tax_genre_slug_single']); ?>" />

                            <br/><em>
                                <?php _e("This will be used to generate single term archive URL.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("URL Terms Archive Slug", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("URL Terms Archive Slug", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[tax_genre_slug_archive]" value="<?php echo esc_attr($settings['tax_genre_slug_archive']); ?>" />

                            <br/><em>
                                <?php _e("This will be used to generate URL for list of terms.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("Taxonomy", "smart-audio-playlists"); ?>: <?php _e("Artist", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Label Singular", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Label Singular", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[tax_artist_singular]" value="<?php echo esc_attr($settings['tax_artist_singular']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Label Plural", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Label Plural", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[tax_artist_plural]" value="<?php echo esc_attr($settings['tax_artist_plural']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("URL Term Archive Slug", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("URL Term Archive Slug", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[tax_artist_slug_single]" value="<?php echo esc_attr($settings['tax_artist_slug_single']); ?>" />

                            <br/><em>
                                <?php _e("This will be used to generate single term archive URL.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("URL Terms Archive Slug", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("URL Terms Archive Slug", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[tax_artist_slug_archive]" value="<?php echo esc_attr($settings['tax_artist_slug_archive']); ?>" />

                            <br/><em>
                                <?php _e("This will be used to generate URL for list of terms.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3 id="sap___force_post_thumbnails"><?php _e("Post Thumbnails", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Force", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Force", "smart-audio-playlists"); ?></span></legend>
                            <label for="force_post_thumbnails">
                                <input<?php echo $settings['force_post_thumbnails'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="force_post_thumbnails" name="sap[force_post_thumbnails]">
                                <?php _e("Force registration of post thumbnails feature", "smart-audio-playlists"); ?></label>

                            <br/><em>
                                <?php _e("Theme should be registering post thumbnail support. If it doesn't, you can enable it here. It is prefered that theme does this, this is only temporary solution.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</form>
