<form method="post" action="">
    <?php settings_fields('smart-audio-playlists-settings'); ?>

    <div class="sct-cleanup-left">
        <div id="scs-scroll-sidebar">
            <p>
                <?php _e("This panel contains general plugin settings.", "smart-audio-playlists"); ?>
            </p>
            <input class="button-primary" type="submit" value="<?php _e("Save Settings", "smart-audio-playlists"); ?>" />
        </div>
    </div>
    <div class="sct-cleanup-right">
        <h3 style="margin-top: 0;"><?php _e("Playlist", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Style", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Style", "smart-audio-playlists"); ?></span></legend>
                            <?php sap_render_select(smart_sap_core()->styles, array('name' => 'sap[player_style]', 'selected' => $settings['player_style'])); ?>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Playlist Elements", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Playlist Elements", "smart-audio-playlists"); ?></span></legend>
                            <label for="player_visible_metadata">
                                <input<?php echo $settings['player_visible_metadata'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_visible_metadata" name="sap[player_visible_metadata]" />
                                <?php _e("Show meta information on top of the playlist", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_visible_about">
                                <input<?php echo $settings['player_visible_about'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_visible_about" name="sap[player_visible_about]" />
                                <?php _e("Show playlist description / about information", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_visible_statistics">
                                <input<?php echo $settings['player_visible_statistics'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_visible_statistics" name="sap[player_visible_statistics]" />
                                <?php _e("Show agregated track statistics", "smart-audio-playlists"); ?></label>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Track Elements", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Track Elements", "smart-audio-playlists"); ?></span></legend>
                            <label for="player_visible_track_download">
                                <input<?php echo $settings['player_visible_track_download'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_visible_track_download" name="sap[player_visible_track_download]" />
                                <?php _e("Show download link for each track", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_visible_track_images">
                                <input<?php echo $settings['player_visible_track_images'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_visible_track_images" name="sap[player_visible_track_images]" />
                                <?php _e("Show track thumbnail image", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_visible_track_numbers">
                                <input<?php echo $settings['player_visible_track_numbers'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_visible_track_numbers" name="sap[player_visible_track_numbers]" />
                                <?php _e("Show track numbers in the tracklist", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_visible_track_statistics">
                                <input<?php echo $settings['player_visible_track_statistics'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_visible_track_statistics" name="sap[player_visible_track_statistics]" />
                                <?php _e("Show agregated playlist statistics", "smart-audio-playlists"); ?></label>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Track Image", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Track Image", "smart-audio-playlists"); ?></span></legend>
                            <label for="track_use_playlist_image">
                                <input<?php echo $settings['track_use_playlist_image'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="track_use_playlist_image" name="sap[track_use_playlist_image]" />
                                <?php _e("If Track has no image set, use Playlists image", "smart-audio-playlists"); ?></label><br/>
                            <label for="track_use_default_image">
                                <input<?php echo $settings['track_use_default_image'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="track_use_default_image" name="sap[track_use_default_image]" />
                                <?php _e("If Track has no image set, use default filetype image", "smart-audio-playlists"); ?></label>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Tracklist Visibility", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Tracklist Visibility", "smart-audio-playlists"); ?></span></legend>
                            <label for="player_toggle">
                                <input<?php echo $settings['player_toggle'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_toggle" name="sap[player_toggle]">
                                <?php _e("Allow Tracklist Show and Hide", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_toggle_hidden">
                                <input<?php echo $settings['player_toggle_hidden'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_toggle_hidden" name="sap[player_toggle_hidden]">
                                <?php _e("Hidden By Default", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_toggle_nohide">
                                <input<?php echo $settings['player_toggle_nohide'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_toggle_nohide" name="sap[player_toggle_nohide]">
                                <?php _e("Do not show Hide controls", "smart-audio-playlists"); ?></label>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Tracklist Show Text", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Tracklist Show Text", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[player_tracklist_toggle_open]" value="<?php echo esc_attr($settings['player_tracklist_toggle_open']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Tracklist Hide Text", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Tracklist Hide Text", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[player_tracklist_toggle_close]" value="<?php echo esc_attr($settings['player_tracklist_toggle_close']); ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Playlist Link Text", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Playlist Link Text", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat" name="sap[player_link_playlist_text]" value="<?php echo esc_attr($settings['player_link_playlist_text']); ?>" />

                                <br/><em>
                                    <?php _e("This option is used by Shortcode and Widget when displaying Playlist Player.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("Player", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Skin", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Skin", "smart-audio-playlists"); ?></span></legend>
                            <?php sap_render_select(smart_sap_core()->skins, array('name' => 'sap[player_skin]', 'selected' => $settings['player_skin'])); ?>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Initial Volume", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Playlists Per Page", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat sct-input-numeric" name="sap[player_initial_volume]" value="<?php echo esc_attr($settings['player_initial_volume']); ?>" style="width: 80px" />

                                <br/><em>
                                    <?php _e("Initial player volume, range allowed: 0 to 100.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Visible Controls", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Visible Controls", "smart-audio-playlists"); ?></span></legend>
                            <label for="player_prevtrack">
                                <input<?php echo $settings['player_prevtrack'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_prevtrack" name="sap[player_prevtrack]">
                                <?php _e("Previous Track", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_nexttrack">
                                <input<?php echo $settings['player_nexttrack'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_nexttrack" name="sap[player_nexttrack]">
                                <?php _e("Next Track", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_current">
                                <input<?php echo $settings['player_current'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_current" name="sap[player_current]">
                                <?php _e("Current Playtime", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_progress">
                                <input<?php echo $settings['player_progress'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_progress" name="sap[player_progress]">
                                <?php _e("Progress Bar", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_duration">
                                <input<?php echo $settings['player_duration'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_duration" name="sap[player_duration]">
                                <?php _e("Current Track Duration", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_volume">
                                <input<?php echo $settings['player_volume'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_volume" name="sap[player_volume]">
                                <?php _e("Volume Control", "smart-audio-playlists"); ?></label>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Native Device Controls", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Native Device Controls", "smart-audio-playlists"); ?></span></legend>
                            <label for="player_native_ipad">
                                <input<?php echo $settings['player_native_ipad'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_native_ipad" name="sap[player_native_ipad]">
                                <?php _e("On iPad", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_native_iphone">
                                <input<?php echo $settings['player_native_iphone'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_native_iphone" name="sap[player_native_iphone]">
                                <?php _e("On iPhone", "smart-audio-playlists"); ?></label><br/>
                            <label for="player_native_android">
                                <input<?php echo $settings['player_native_android'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="player_native_android" name="sap[player_native_android]">
                                <?php _e("On Android", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("There are no guarantees that this will work on every device! Native controls can't be styled or controlled in any way and can have strange look.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("Display of statistical data", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Playlist Statistics", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Playlist Statistics", "smart-audio-playlists"); ?></span></legend>
                            <label for="hide_playlist_statistics">
                                <input<?php echo $settings['hide_playlist_statistics'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="hide_playlist_statistics" name="sap[hide_playlist_statistics]">
                                <?php _e("Hide", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("If this option is disabled, individual playlists have control over display of own statistics.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Tracks Statistics", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Playlist Statistics", "smart-audio-playlists"); ?></span></legend>
                            <label for="hide_tracks_statistics">
                                <input<?php echo $settings['hide_tracks_statistics'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="hide_tracks_statistics" name="sap[hide_tracks_statistics]">
                                <?php _e("Hide", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("If this option is disabled, individual playlists have control over display of its tracks statistics.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</form>
