<?php

$loop_single = array(
    '' => __("Standard", "smart-audio-playlists"),
    'alt' => __("Alternative", "smart-audio-playlists")
);

$loop_archive = array(
    '' => __("Standard", "smart-audio-playlists"),
    'alt' => __("Alternative", "smart-audio-playlists"),
    'box' => __("Boxed", "smart-audio-playlists")
);

$loop_index = array(
    '' => __("Standard", "smart-audio-playlists"),
    'cloud' => __("Terms Cloud", "smart-audio-playlists")
);

?>
<form method="post" action="">
    <?php settings_fields('smart-audio-playlists-theme'); ?>

    <div class="sct-cleanup-left">
        <div id="scs-scroll-sidebar">
            <p>
                <?php _e("This panel is used to control loading of theme templates needed by the plugin.", "smart-audio-playlists"); ?>
            </p>
            <input class="button-primary" type="submit" value="<?php _e("Save Settings", "smart-audio-playlists"); ?>" />
        </div>
    </div>
    <div class="sct-cleanup-right">
        <h3 style="margin-top: 0;"><?php _e("Templates Loading", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Override", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Override", "smart-audio-playlists"); ?></span></legend>
                            <label for="templates_override">
                                <input<?php echo $settings['templates_override'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="templates_override" name="sap[templates_override]">
                                <?php _e("Template loading override active", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("Plugin will attempt to load templates needed by the plugin from plugins Themes directory. If theme you use is directly supported, it will load files for it, if not it will load generic files. If generic files don't look correct with your theme, you need to adjust it to fit your theme. More information on this is in Developer's Guide PDF.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("Single Playlist Loop", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Loop to Load", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Loop to Load", "smart-audio-playlists"); ?></span></legend>
                            <?php sap_render_select($loop_single, array('name' => 'sap[templates_playlist_single]', 'selected' => $settings['templates_playlist_single'])); ?>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Playlist Title", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Playlist Title", "smart-audio-playlists"); ?></span></legend>
                            <label for="templates_single_title">
                                <input<?php echo $settings['templates_single_title'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="templates_single_title" name="sap[templates_single_title]">
                                <?php _e("Show Title", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("Some themes can display titles in their own way, so you can hide title from the playlist template.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("Archive Playlist Page", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Loop to Load", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Loop to Load", "smart-audio-playlists"); ?></span></legend>
                            <?php sap_render_select($loop_archive, array('name' => 'sap[templates_playlist_archive]', 'selected' => $settings['templates_playlist_archive'])); ?>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Playlists Per Page", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Playlists Per Page", "smart-audio-playlists"); ?></span></legend>
                            <input type="text" class="widefat sct-input-numeric" name="sap[archive_playlists_count]" value="<?php echo esc_attr($settings['archive_playlists_count']); ?>" style="width: 80px" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Archive Title", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Playlist Title", "smart-audio-playlists"); ?></span></legend>
                            <label for="templates_archive_title">
                                <input<?php echo $settings['templates_archive_title'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="templates_archive_title" name="sap[templates_archive_title]">
                                <?php _e("Show Title", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("Some themes can display titles in their own way, so you can hide title from the playlist template.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("Terms Index Page", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Loop to Load for Tags", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Loop to Load for Tags", "smart-audio-playlists"); ?></span></legend>
                            <?php sap_render_select($loop_index, array('name' => 'sap[templates_playlist_index_post_tag]', 'selected' => $settings['templates_playlist_index_post_tag'])); ?>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Loop to Load for Genres", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Loop to Load for Genres", "smart-audio-playlists"); ?></span></legend>
                            <?php sap_render_select($loop_index, array('name' => 'sap[templates_playlist_index_sapgenre]', 'selected' => $settings['templates_playlist_index_sapgenre'])); ?>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Loop to Load for Artists", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Loop to Load for Artists", "smart-audio-playlists"); ?></span></legend>
                            <?php sap_render_select($loop_index, array('name' => 'sap[templates_playlist_index_sapartist]', 'selected' => $settings['templates_playlist_index_sapartist'])); ?>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Index Title", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Index Title", "smart-audio-playlists"); ?></span></legend>
                            <label for="templates_index_title">
                                <input<?php echo $settings['templates_index_title'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="templates_index_title" name="sap[templates_index_title]">
                                <?php _e("Show Title", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("Some themes can display titles in their own way, so you can hide title from the terms index template.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>

        <h3><?php _e("CSS Styles", "smart-audio-playlists"); ?></h3>
        <table class="form-table" style="max-width: 630px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Default Render File", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Default Render File", "smart-audio-playlists"); ?></span></legend>
                            <label for="css_load_render">
                                <input<?php echo $settings['css_load_render'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="css_load_render" name="sap[css_load_render]">
                                <?php _e("Load", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("Default styling for playlists templates, doesn't include styles for actual Player Playlist control.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Default Playlists File", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Default Playlists File", "smart-audio-playlists"); ?></span></legend>
                            <label for="css_load_playlist">
                                <input<?php echo $settings['css_load_playlist'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="css_load_playlist" name="sap[css_load_playlist]">
                                <?php _e("Load", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("Default styling for Player Playlist control.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Theme Override File", "smart-audio-playlists"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Theme Override File", "smart-audio-playlists"); ?></span></legend>
                            <label for="css_load_theme">
                                <input<?php echo $settings['css_load_theme'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="css_load_theme" name="sap[css_load_theme]">
                                <?php _e("Load", "smart-audio-playlists"); ?></label>

                                <br/><em>
                                    <?php _e("If you want to override default styling, you can add new file to your theme folder called 'playlists.css'.", "smart-audio-playlists"); ?></em>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</form>
