<?php
/**
 * "Smart Audio Playlists" - Archive Template for Genesis Framework powered Child Themes.
 *
 * @author     David Decker - DECKERWEB.de
 * @copyright  Copyright (c) 2014, David Decker - DECKERWEB.de
 * @link       http://ddwb.me/an
 * @link       http://deckerweb.de/twitter
 */

/**
 * Prevent direct access to this file.
 */
if ( ! defined( 'WPINC' ) ) {
	exit( 'Sorry, you are not allowed to access this file directly.' );
}


remove_action( 'genesis_loop', 'genesis_do_loop' );
add_action( 'genesis_loop', 'genesis_sap_archive_template' );
/**
 * Replace default Genesis loop with plugin loop & content.
 */
function genesis_sap_archive_template() {

	sap_template_part( 'archive', 'playlists' );

}

add_filter( 'sap_template_archive_classes', 'genesis_sap_template_archive_classes', 10, 2 );
/**
 * Add needed container class "entry" within main content sub container.
 *
 * @param  string $class
 * @param  string $archive_sapplaylist
 *
 * @return string String of CSS classes.
 */
function genesis_sap_template_archive_classes( $class, $archive_sapplaylist ) {

	$class = 'entry ' . $class;

	return $class;

}

/**
 * Let Genesis take over again.
 */
genesis();